Subject: Re: 3rd time lucky? Apache startup woes
From: Gary Stainburn <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Nov 2002 12:24:02 +0000

Hi Jason,

On Friday 15 Nov 2002 8:29 pm, Jason Tishler wrote:
> Gary,
>
> On Fri, Nov 15, 2002 at 03:40:07PM +0000, Gary Stainburn wrote:
> > All I got out was one error line per DLL stating that it was being
> > skipped because it was not rebasable.
>
> Are you running on Me?  If so, then you can't use my rebase (don't blame
> me, blame Microsoft).  Use Ralf's version instead:
>
>     http://www.cygwin.com/ml/cygwin/2002-08/msg00703.html
>

Yes, unfortunately I am running WinME, so I downloaded the attachment to the 
above message.  Unfortunately, the make fails as shown below.

Can anyone help me here, or point me to a binary distribution I can download?

I will certainly give the method below a try once I've got a working rebase 
program.

Gary

> Ultimately, I will integrate Ralf's rebase functionality into mine.
>
> The following is how I recommend rebasing your entire system (i.e., all
> DLLs installed by setup.exe except for cygwin1.dll):
>
>     $ # stop all Cygwin processes except for bash
>     $ zegrep -h 'dll$' /etc/setup/*.gz | grep -v 'cygwin1.*.dll' |
>         xargs -n 1 cygpath -wa >rebase.lst
>     $ rebase -d -b 0x68000000 -o 0x10000 $(<rebase.lst)
>     $ rm rebase.lst
>
> Note that you can append DLLs installed by other means to rebase.lst
> before calling rebase, if necessary.
>
> Jason

-- 
Gary Stainburn
 
This email does not contain private or confidential material as it
may be snooped on by interested government parties for unknown
and undisclosed purposes - Regulation of Investigatory Powers Act, 2000     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/